#include <stdio.h>
int main() {
  int a[10];
int n,pom,pom2;
scanf("%d",&n);
  
  for(int i = 0; i < n; ++i) {
     scanf("%d", &a[i]);
  }
 pom2=n;
 while(n>0)
 {
     for(int i = 0; i < n; ++i) {
 if(a[n]>a[n-1])
 {
 pom=a[n];
 a[n]=a[n-1];
 a[n-1]=pom;
 }
 n--;
 }
 }
 for(int i = 0; i < pom2; ++i) {
     printf("%d\n", a[i]);
  }
  return 0;
}